# Run tests in check section
%bcond_without check

# https://github.com/go-check/check
%global goipath         gopkg.in/check.v1
%global forgeurl        https://github.com/go-check/check
%global commit          788fd78401277ebd861206a03c884797c6ec5541

%global common_description %{expand:
Rich testing for the Go language.}

%gometa

Name:           golang-gopkg-check
Version:        1
Release:        19%{?dist}
Summary:        Rich testing for the Go language
# Detected licences
# - BSD 2-clause "Simplified" License at 'LICENSE'
License:        BSD
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires: golang(github.com/kr/pretty)

%description
%{common_description}


%package devel
Summary:       %{summary}
BuildArch:     noarch

%description devel
%{common_description}

This package contains library source intended for
building other packages which use import path with
%{goipath} prefix.


%prep
%forgeautosetup


%install
%goinstall


%if %{with check}
%check
%gochecks
%endif


%files devel -f devel.file-list
%license LICENSE
%doc README.md


%changelog
* Sun Mar 03 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1-19.20190303git788fd78
- Bump to commit 788fd78401277ebd861206a03c884797c6ec5541
- Update to new Go packging

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Jan 20 2017 Jan Chaloupka <jchaloup@redhat.com> - 1-13
- Polish the spec file
  related: #1248138

* Tue Aug 09 2016 jchaloup <jchaloup@redhat.com> - 1-12
- Enable devel and unit-test for epel7
  related: #1248138

* Thu Jul 21 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1-11
- https://fedoraproject.org/wiki/Changes/golang1.7

* Tue Feb 23 2016 jchaloup <jchaloup@redhat.com> - 1-10
- Update spec file to spec 2.1
  support 4 import path prefixes
  related: #1248138

* Mon Feb 22 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1-9
- https://fedoraproject.org/wiki/Changes/golang1.6

* Sun Feb 07 2016 Antonio Murdaca <runcom@fedoraproject.org> - 1-8
- rebuilt

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jul 29 2015 jchaloup <jchaloup@redhat.com> - 0-6
- Update of spec file to spec-2.0
  resolves: #1248138

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Jan 13 2015 jchaloup <jchaloup@redhat.com> - 0-4
- Add github.com/motain/gocheck into Provides
  related: #1151779

* Tue Jan 13 2015 jchaloup <jchaloup@redhat.com> - 0-3
- Add github.com/motain/gocheck into devel subpackage
  related: #1151779

* Tue Dec 09 2014 jchaloup <jchaloup@redhat.com> - 0-2
- Obsolete golang-launchpad-gocheck-devel with devel subpackage
  related: #1151779

* Fri Oct 10 2014 Jan Chaloupka <jchaloup@redhat.com> - 0-1
- First package for Fedora
